com.ibm.openpages.api

## Class ObjectAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ibm.openpages.api.OpenPagesException
        - - com.ibm.openpages.api.ObjectAlreadyExistsException

- All Implemented Interfaces:
    java.io.Serializable

      public class ObjectAlreadyExistsException
      extends OpenPagesException

  Exception thrown when trying to create an object that already exists.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectAlreadyExistsException()` Constructs a new ObjectAlreadyExistsException with `null` as its detail message.
    `ObjectAlreadyExistsException(int errorCode, java.lang.String additionalErrorText)` Constructs a new ObjectAlreadyExistsException with the OpenPages Error Message as its detail message for the specified code.
    `ObjectAlreadyExistsException(java.lang.String message)` Constructs a new ObjectAlreadyExistsException with the specified detail message.
    `ObjectAlreadyExistsException(java.lang.String message, java.lang.Throwable cause)` Constructs a new ObjectAlreadyExistsException with the specified detail message and cause.
    `ObjectAlreadyExistsException(java.lang.Throwable cause)` Constructs a new ObjectAlreadyExistsException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`, which typically contains the class and detail message of `cause`.

  - ### Method Summary

    - ### Methods inherited from class com.ibm.openpages.api.OpenPagesException

      `getAdditionalMessage, getCode, getLocalizedMessage, getMessage, getParameters, getTimestamp`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectAlreadyExistsException

          public ObjectAlreadyExistsException()

      Constructs a new ObjectAlreadyExistsException with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### ObjectAlreadyExistsException

          public ObjectAlreadyExistsException(java.lang.String message)

      Constructs a new ObjectAlreadyExistsException with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `OpenPagesException.getMessage()` method.

    - #### ObjectAlreadyExistsException

          public ObjectAlreadyExistsException(java.lang.String message,
                                              java.lang.Throwable cause)

      Constructs a new ObjectAlreadyExistsException with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.

      Parameters:
        `message` - the detail message, which is saved for later retrieval by the `OpenPagesException.getMessage()` method.
        `cause` - the cause, which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

    - #### ObjectAlreadyExistsException

          public ObjectAlreadyExistsException(java.lang.Throwable cause)

      Constructs a new ObjectAlreadyExistsException with the specified cause and a detail message of `(cause==null ? null : cause.toString())`, which typically contains the class and detail message of `cause`. This constructor is useful for runtime exceptions that are little more than wrappers for other throwables.
      Parameters:
        `cause` - the cause, which is saved for later retrieval by the `Throwable.getCause()` method. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

    - #### ObjectAlreadyExistsException

          public ObjectAlreadyExistsException(int errorCode,
                                              java.lang.String additionalErrorText)

      Constructs a new ObjectAlreadyExistsException with the OpenPages Error Message as its detail message for the specified code. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `code` - (required) the OpenPages Error Code for this Exception
        `parameters` - any parameters for the Error's formatted error message text

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.